Subject: Re: FVWM: IconBox and autohide delay

From: [email-masked]
Date: Sun, 28 Sep 2003 09:13:15 +0200

On Sat, Aug 16, 2003 at 11:35:12AM +0200, roland Mathieu wrote:
> 
> Hello,
> 
> I try to setup an IconBox on top of the screen with autohide feature using
> module FvwmAuto. It works fine, but is it possible to wait and possibly
> do nothing if the mouse don't stay enough on top of screen, rather than
> immediatly raise IconBox ? 
> (something like EdgeResistance but with FvwmAuto?) 

Here's an improved version of the script in the FAQ.  This time,
you can specify a "show" delay separately.  If you have a 2.5.x
version prior to current CVS (i.e. 2.5.8), you have to replace
"TestRc" with "Cond" (the command was renamed).

     AddToFunc autohide
     + I ThisWindow ($0) Deschedule $[w.id]
     + I TestRc (!Match) Deschedule -$[w.id]
     + I ThisWindow ($0) ThisWindow (shaded) autohide_show $1 $3
     + I TestRc (!Match) All ($0, !shaded) autohide_hide $2 $3

     AddToFunc autohide_show
     + I Schedule $0 -$[w.id] WindowShade $1 off
     + I Schedule $0 -$[w.id] Deschedule $[w.id]
     + I Schedule $0 -$[w.id] Deschedule -$[w.id]

     AddToFunc autohide_hide
     + I Schedule $0 $[w.id] WindowShade $1 on
     + I Schedule $0 $[w.id] Deschedule $[w.id]
     + I Schedule $0 $[w.id] Deschedule -$[w.id]

     AddToFunc StartFunction
     + I Module FvwmAuto FvwmAutohide -menter enter_handler

     AddToFunc enter_handler
     + I autohide FvwmButtons 250 500 S
     #            ^           ^   ^   ^
     #            |           |   |   |___  Shade direction (optional)
     #            |           |   |________ Hide delay
     #            |           |___________  Show delay
     #            |_______________________  Unique window name/resource

Ciao

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].